#ifndef __HTH_WORLD_H__
#define __HTH_WORLD_H__

#include "monster.h"

#include <curses.h>

struct _world
{
  int *state;
  int turn_player;

  int grid_from;
  int grid_to;
  int cursor_x;
  int cursor_y;
  int last_move;
  int *player;
  int victory_condition;

  monster *mp;

  WINDOW *scr;
  int scr_size_x;
  int scr_size_y;
  int should_quit;
  int mode;
  int option_item;
  int waiting_for_move;
  int cheat_peek_monster;
};
typedef struct _world world;

world *world_new(void);
void world_delete(world *wp);

int world_reset(world *wp);

#endif /* not __HTH_WORLD_H__ */
